[PACKAGE]: ../../raw/master/mkp/active_check_traceroute-0.0.3-20240526.mkp "active_check_traceroute-0.0.3-20240526.mkp"
# Extended traceroute plugin

This is a extension for the original CheckMK traceroute plugin (Routing)

adds the following options:

- service description suffix
- alternate destination address
- UDP method (without increasing the port for each probe)
- destination port for UDP/TCP path trace
- max hops
- queries per hop
- source address
- source interface (needs root permissions)
- perfometer

**Note: Source address and source interface uses the "shell=True" option in in the "subprocess.Popen" command. This is insecure, so be careful.**

To enable this options you need to uncomment the line `# shell = True` in [~/lib/nagios/plugins/check_traceroute](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/active_check_traceroute/-/blob/master/lib/nagios/plugins/check_traceroute) like this.

```
    if (source_int is not None) or (source_addr is not None):
        cmd = ' '.join(cmd)
        shell = True

```

**Note**: the original TCP path trace option also needs root permisions.

---
### Check Info

* *service*: creates the service **_Routing {item}_** with optional suffix as item

* *state*: see original plugin

* *wato*: [(see WATO options)](/../../../-/raw/master/doc/wato.png "see sample screenshot")

* *perfdata*: see original plugin

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install active_check_traceroute.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](img/sample.png?raw=true "sample output")

WATO

![WATO options](img/wato.png?raw=true "WATO options")
